# Get Endpoint- GetApprovalDetails

Returns list of approval details.

# HTTP Request

One of the following requests should be made:

GET /odata/approvaldetails
GET /odata/approvaldetails/$count

The endpoint supports the following OData query parameters: $select, $expand

# Query parameters

Name Description
repository optional. Destination repository key.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 If the load of approval details was successful. array ApprovalDetailEntity
400 If provided request data is invalid.
500 When an server error occurs during the load of approval details.

# Example

# Request

The following is an example of how to call the endpoint:

GET /odata/approvaldetails?repository=repo1&$filter=approvalId eq 1234

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
  "value": [
    {
      "detailId": 123,
      "key": "key1",
      "value": "lorem ipsum"
    },
    {
      "detailId": 124,
      "key": "key2",
      "value": "dolor sit"
    }
  ],
  "@odata.nextLink": "..."
}
Zuletzt aktualisiert: 7. Februar 2025 um 08:35